> This page is for Afterpay.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.cash.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.cash.app/_mcp/server.

# Auth

POST https://global-api-sandbox.afterpay.com/v2/payments/auth
Content-Type: application/json

This endpoint requests a payment auth, which determines the order approval status. If approved, the auth has an expiration date and time, which is returned in the events list for the "AUTH_APPROVED" payment event. Authorization expires after 13 days.

This operation is idempotent based on the `requestId` (if provided), which allows for the safe retry of multiple requests, guaranteeing the payment operation is only made once.

The customer's payment plan starts at the time of auth approval.

**Note:** Authorization expires after 13 days and then the transaction is automatically voided. Voided transactions are frozen and cannot be reopened or changed in any way. In this case, use the `v2/checkouts` endpoint to create a new order.

**Connection Timeouts**
| Timeout | Time (Seconds) |
|---------|----------------|
| Open    | 10             |
| Read    | 70             |


Reference: https://developers.cash.app/afterpay/api-reference/reference/payments/auth

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Servers

- `https://global-api-sandbox.afterpay.com` (Sandbox, default)
- `https://global-api.afterpay.com` (Production)

## Request

### Headers

- `Accept` (string, optional, default: application/json)

### Body (application/json)

This endpoint expects an AuthorizePayment.

- `token` (string, required)
- `requestid` (string, optional) — A unique request ID, required for idempotent retries. We recommend that merchants generate a Universally Unique Identifier (UUID) for each unique request.
- `merchantReference` (string, optional) — The reference/order ID that this payment corresponds to in the merchant's system. **Note:** Providing a new value updates any value previously set in the Create Checkout request.
- `amount` (Money, optional) — **Required for express checkout only.** Amount to be checked against the value in the create checkout request. If the amounts do not match, then the request is rejected and an error specific to this scenario is returned.
- `isCheckoutAdjusted` (boolean, optional) — **Express checkout only.** The isCheckoutAdjusted field can be used to allow the order amount to be changed after the checkout flow. Used for express checkout.
- `paymentScheduleChecksum` (string, optional) — **Express checkout only.** A unique value representing the payment schedule that must be provided when there has been changes since the initial order creation (retrieved from checkout widget).
- `items` (list of any, optional) — **Express checkout only.** An array of order items that have been updated to be provided if it has changed since the initial order creation.
- `shipping` (Contact, optional) — **Express checkout only.** The shipping address if it has changed since the initial order creation.
- `enrichments` (Enrichments, optional)
- `grantId` (string, optional) — The Afterpay or Cash App Pay on-file grant ID. Required when processing a payment using a previously stored on-file grant.

## Response

### 201

If the payment is approved by Afterpay, a Payment object is returned with a `status` of **APPROVED** and a `paymentState` of **AUTH_APPROVED**.

- `id` (string, optional) — The unique, permanent, Afterpay generated Order ID.
- `token` (string, optional) — The token obtained from the checkout call
- `status` (enum, optional) — represents the status of the order
  - Allowed values: `APPROVED`, `DECLINED`
- `created` (string, optional) — is the UTC timestamp of when the payment was completed.
- `originalAmount` (Money, optional) — Object containing amount and currency
- `openToCaptureAmount` (Money, optional) — Object containing amount and currency
- `paymentState` (enum, optional) — is the current state for capturing payments
  - Allowed values: `AUTH_APPROVED`, `AUTH_DECLINED`, `PARTIALLY_CAPTURED`, `CAPTURED`, `CAPTURE_DECLINED`, `VOIDED`
- `merchantReference` (string, optional) — is the merchant's order id/reference that the payment corresponds to.
- `refunds` (list of Refund, optional)
- `orderDetails` (Order-Details, optional) — This comprehensive schema is designed to store an entire transaction's detail, covering crucial aspects like consumer information, billing and shipping details, courier particulars, item list, discounts, tax, and shipping amount.
- `events` (list of Payment-Event, optional)

## Errors

### 402 Payment Required Error

If payment is declined by Afterpay, for example, if invalid card details were entered, returns a Payment object in response, with a `status` of "DECLINED" and a `paymentState` of "AUTH_DECLINED". advise the customer to contact the Afterpay Customer Service team for more information. As well, the following errorCodes are possible: | errorCode | Description | | --- | --- | | invalid_token | The checkout token is invalid, expired, or does not exist.

- `any`

### 412 Precondition Failed Error

The customer has not confirmed their payment for the order associated with this token. Error code `invalid_order_transaction_status`.

- `any`

### 422 Unprocessable Entity Error

The checkout token was missing or empty. Error code `invalid_object`.

- `any`

## Types

### Money

Object containing amount and currency

- `amount` (string, required) — The amount as a string representation of a decimal number, rounded to 2 decimal places.
- `currency` (enum, required)
  - Allowed values: `AUD`, `NZD`, `USD`, `CAD`, `GBP`

### Contact

This data model is used for storing an individual's contact information. Mandatory fields such as **name**, **line1**, **area1**, **region**, **postcode**, and **countryCode** help in capturing vital information about a user's location. The `line2` and `area2` fields provide additional space for extended addresses, while `phoneNumber` can be used to store the user's contact number. The `area1`, `area2` and `region` properties feature localized terminology based on country. Refer to the property descriptions for insights on each country's specific usage

- `name` (string, required)
- `line1` (string, required) — First line of the address
- `area1` (string, required) — - AU: Suburb - NZ: Town or City - UK: Postal Town - US: City - Canada: City
- `region` (string, required) — - AU: State - NZ: Region - UK: County - US: State - CA: Province or Territory
- `postcode` (string, required)
- `countryCode` (enum, required)
  - Allowed values: `AU`, `NZ`, `US`, `CA`, `GB`
- `line2` (string, optional) — Second line of the address
- `area2` (string, optional) — - NZ: suburb - UK: village or local area.
- `phoneNumber` (string, optional) — The phone number, in [E.123](https://en.wikipedia.org/wiki/E.123) format.

### Enrichments

- `initiation` (Initiation, required) — Who initiated the order
- `subscription` (Subscription, optional) — Metadata on the subscription details

### Refund

To guarantee safe retries, the merchant should offer their refund ID or reference, aligning with their internal records Unique values for the `requestID` and `merchantReference` are required to guarantee safe retries. It is recommended that the merchant generates a UUID for each unique refund request. The `refundMerchantReference` is a unique reference that when provided, will appear in the daily settlement file as "Payment Event Id". In most cases, this would hold the same value as the `merchantReference`.

- `amount` (Money, optional) — Object containing amount and currency
- `merchantReference` (string, optional) — The merchant’s internal refund id/reference. This must be included along with the `requestId` to utilise idempotency. Max length 85 (varchar).
- `refundId` (string, optional) — The unique, permanent, Afterpay-generated Refund ID.
- `refundMerchantReference` (string, optional) — A unique reference for the individual refund event. Max length 128 (varchar).
- `refundedAt` (string, optional)
- `requestId` (string, optional) — Unique ID required for safe retries. Max length 64 (varchar).

### Order-Details

This comprehensive schema is designed to store an entire transaction's detail, covering crucial aspects like consumer information, billing and shipping details, courier particulars, item list, discounts, tax, and shipping amount.

- `consumer` (Consumer, optional) — The consumer data model is used for gathering essential user information. It captures details such as the individual's first name, represented by `givenNames`, and their last name, captured under `surname`. In addition, it stores the user's contact number under `phoneNumber` and their email address under `email`. These fields collectively provide contact and identification details for a user.
- `billing` (Contact, optional) — This data model is used for storing an individual's contact information. Mandatory fields such as **name**, **line1**, **area1**, **region**, **postcode**, and **countryCode** help in capturing vital information about a user's location. The `line2` and `area2` fields provide additional space for extended addresses, while `phoneNumber` can be used to store the user's contact number. The `area1`, `area2` and `region` properties feature localized terminology based on country. Refer to the property descriptions for insights on each country's specific usage
- `courier` (Shipping-Courier, optional) — Essential information for tracking a shipment. The `shippedAt` key represents the date and time when the item was shipped. This value follows the [ISO 8601 standard format](https://www.iso.org/iso-8601-date-and-time-format.html) for date and time representations. The `name` field indicates the courier service employed to handle the shipment (e.g. FEDEX, UPS). For orders that are picked up in-store (also known as Buy-Online-Pickup-Instore), please use "INSTORE_PICKUP" as the `name` field value. The `tracking` key represents a unique tracking number provided by the courier service to monitor the shipment's progress. It's a valuable tool for customers and businesses to track and trace their packages. The `priority` field tracks the shipping speed or service level associated with the delivery.
- `items` (list of Item, optional)
- `discounts` (list of Discount, optional)
- `taxAmount` (Money, optional) — Object containing amount and currency
- `shippingAmount` (Money, optional) — Object containing amount and currency

### Payment-Event

Each payment event has a unique ID, creation timestamp, and type (e.g., "AUTH_APPROVED", "AUTH_DECLINED"). For "AUTH_APPROVED" events, an expiration timestamp is provided. The "payment event merchant reference" field, which can be used for payment capture events

- `id` (string, optional)
- `created` (string, optional)
- `expires` (string, optional)
- `type` (enum, optional)
  - Allowed values: `AUTH_APPROVED`, `AUTH_DECLINED`, `CAPTURED`, `CAPTURE_DECLINED`, `VOIDED`, `EXPIRED`
- `amount` (Money, optional) — Object containing amount and currency
- `paymentEventMerchantReference` (string, optional)

### Initiation

- `actor` (enum, required) — The party who initiated the order
  - Allowed values: `CUSTOMER`, `MERCHANT`

### Subscription

- `type` (enum, optional)
  - Allowed values: `FIXED`, `VARIABLE`
- `interval` (enum, optional)
  - Allowed values: `DAY`, `WEEK`, `MONTH`, `YEAR`
- `intervalCount` (integer, optional) — A positive integer that specifies the number of `interval` units in the merchant's subscription billing cadence. For example, `interval: MONTH` with `intervalCount: 1` means monthly billing; `intervalCount: 3` means every three months. This field describes the cadence only—it does not schedule charges or control the customer's Afterpay installment schedule.

### Consumer

The consumer data model is used for gathering essential user information. It captures details such as the individual's first name, represented by `givenNames`, and their last name, captured under `surname`. In addition, it stores the user's contact number under `phoneNumber` and their email address under `email`. These fields collectively provide contact and identification details for a user.

- `email` (string, required)
- `givenNames` (string, optional) — The consumer's first name
- `surname` (string, optional) — The consumer's last name
- `phoneNumber` (string, optional)

### Shipping-Courier

Essential information for tracking a shipment. The `shippedAt` key represents the date and time when the item was shipped. This value follows the [ISO 8601 standard format](https://www.iso.org/iso-8601-date-and-time-format.html) for date and time representations. The `name` field indicates the courier service employed to handle the shipment (e.g. FEDEX, UPS). For orders that are picked up in-store (also known as Buy-Online-Pickup-Instore), please use "INSTORE_PICKUP" as the `name` field value. The `tracking` key represents a unique tracking number provided by the courier service to monitor the shipment's progress. It's a valuable tool for customers and businesses to track and trace their packages. The `priority` field tracks the shipping speed or service level associated with the delivery.

- `shippedAt` (datetime, optional)
- `name` (string, optional)
- `tracking` (string, optional)
- `priority` (enum, optional)
  - Allowed values: `STANDARD`, `EXPRESS`

### Item

This data model is used to store crucial product details. The `price.amount` field represents the unit price of the individual item. The `quantity` field shows the number of units of the item. The `name` field denotes the name of the product, while `sku` holds the Stock Keeping Unit identifier. 100 is the maximum number of item objects in the items array. It is crucial that the `price.amount` represents the unit price of the individual item. **Never** populate the `price.amount` by multiplying the quantity by the unit cost. Always enter the price for a single unit to maintain data accuracy.

- `name` (string, required)
- `quantity` (integer, required)
- `price` (Money, required) — Object containing amount and currency
- `sku` (string, optional)
- `pageUrl` (string, optional)
- `imageUrl` (string, optional)
- `categories` (list of list of string, optional)
- `estimatedShipmentDate` (date, optional)
- `preorder` (boolean, optional, default: false)

### Discount

Discount applied to an order

- `displayName` (string, optional)
- `amount` (Money, optional) — Object containing amount and currency

## Examples

### Standard checkout

**Request**

```json
{
  "token": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
  "requestid": "d22f5305-05f3-48a0-9131-a4e6e5f58b9a",
  "merchantReference": "merchant-order-123"
}
```

**Response**

```json
{
  "id": "300000016189",
  "token": "002.6bjbsaowxvfqam2nw4u3xudppheuh4gsuat3n2w3f6t44euzgy",
  "status": "APPROVED",
  "created": "2024-03-11T20:11:42.487Z",
  "originalAmount": {
    "amount": "37.00",
    "currency": "USD"
  },
  "openToCaptureAmount": {
    "amount": "0.00",
    "currency": "USD"
  },
  "paymentState": "AUTH_APPROVED",
  "merchantReference": "updated-k6-reference-utaddnpx",
  "refunds": [],
  "orderDetails": {
    "consumer": {
      "email": "test@example.com"
    },
    "billing": {
      "name": "Joe Customer",
      "line1": "1004 New Avenue",
      "area1": "Melbourne",
      "region": "VIC",
      "postcode": "94121",
      "countryCode": "AU",
      "phoneNumber": "2120000000",
      "countrycode": "US"
    },
    "courier": {
      "shippedAt": "2024-01-01T08:00:00Z",
      "name": "FedEx",
      "tracking": "000 000 000 000",
      "priority": "STANDARD"
    },
    "items": [
      {
        "name": "Blue Carabiner",
        "quantity": 1,
        "price": {
          "amount": "40.00",
          "currency": "USD"
        },
        "sku": "12341234"
      }
    ],
    "categories": {
      "categories": null,
      "name": "Jeans",
      "price": {
        "amount": "20.00",
        "currency": "USD"
      },
      "quantity": 1,
      "sku": "123412345"
    },
    "shipping": {
      "countrycode": "US",
      "line1": "1004 New Avenue",
      "name": "Joe Customer",
      "phoneNumber": "2120000000",
      "postcode": "94121"
    }
  },
  "events": [
    {
      "id": "2dYbLXpOtEPQbg1DT7x9D8R4oCY",
      "created": "2024-03-11T20:11:43.897Z",
      "type": "CAPTURED",
      "amount": {
        "amount": "37.00",
        "currency": "USD"
      },
      "paymentEventMerchantReference": "k6-gsrdqspusf"
    }
  ],
  "discounts": [],
  "shippingAmount": {
    "amount": "10.00",
    "currency": "USD"
  },
  "taxAmount": {
    "amount": "0.00",
    "currency": "USD"
  }
}
```

**SDK Code**

```python Standard checkout
import requests

url = "https://global-api-sandbox.afterpay.com/v2/payments/auth"

payload = {
    "token": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
    "requestid": "d22f5305-05f3-48a0-9131-a4e6e5f58b9a",
    "merchantReference": "merchant-order-123"
}
headers = {
    "User-Agent": "User-Agent"
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Standard checkout
const url = 'https://global-api-sandbox.afterpay.com/v2/payments/auth';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    'User-Agent': 'User-Agent',
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"token":"005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2","requestid":"d22f5305-05f3-48a0-9131-a4e6e5f58b9a","merchantReference":"merchant-order-123"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Standard checkout
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://global-api-sandbox.afterpay.com/v2/payments/auth"

	payload := strings.NewReader("{\n  \"token\": \"005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2\",\n  \"requestid\": \"d22f5305-05f3-48a0-9131-a4e6e5f58b9a\",\n  \"merchantReference\": \"merchant-order-123\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("User-Agent", "User-Agent")
	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Standard checkout
require 'uri'
require 'net/http'

url = URI("https://global-api-sandbox.afterpay.com/v2/payments/auth")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["User-Agent"] = 'User-Agent'
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"token\": \"005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2\",\n  \"requestid\": \"d22f5305-05f3-48a0-9131-a4e6e5f58b9a\",\n  \"merchantReference\": \"merchant-order-123\"\n}"

response = http.request(request)
puts response.read_body
```

```java Standard checkout
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://global-api-sandbox.afterpay.com/v2/payments/auth")
  .header("User-Agent", "User-Agent")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"token\": \"005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2\",\n  \"requestid\": \"d22f5305-05f3-48a0-9131-a4e6e5f58b9a\",\n  \"merchantReference\": \"merchant-order-123\"\n}")
  .asString();
```

```php Standard checkout
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://global-api-sandbox.afterpay.com/v2/payments/auth', [
  'body' => '{
  "token": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
  "requestid": "d22f5305-05f3-48a0-9131-a4e6e5f58b9a",
  "merchantReference": "merchant-order-123"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'User-Agent' => 'User-Agent',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Standard checkout
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://global-api-sandbox.afterpay.com/v2/payments/auth");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);
request.AddHeader("User-Agent", "User-Agent");

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"token\": \"005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2\",\n  \"requestid\": \"d22f5305-05f3-48a0-9131-a4e6e5f58b9a\",\n  \"merchantReference\": \"merchant-order-123\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Standard checkout
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "User-Agent": "User-Agent",
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "token": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
  "requestid": "d22f5305-05f3-48a0-9131-a4e6e5f58b9a",
  "merchantReference": "merchant-order-123"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://global-api-sandbox.afterpay.com/v2/payments/auth")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Express checkoout

**Request**

```json
{
  "token": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
  "requestid": "d22f5305-05f3-48a0-9131-a4e6e5f58b9a",
  "merchantReference": "merchant-order-123",
  "amount": {
    "amount": "100.00",
    "currency": "AUD"
  },
  "isCheckoutAdjusted": true,
  "paymentScheduleChecksum": "string",
  "items": [
    null
  ],
  "shipping": {
    "name": "Joe Consumer",
    "line1": "Level 5",
    "area1": "Melbourne",
    "region": "VIC",
    "postcode": "3000",
    "countryCode": "AU",
    "line2": "390 Collins Street",
    "phoneNumber": "0400 000 000"
  },
  "enrichments": {
    "initiation": {
      "actor": "MERCHANT"
    }
  }
}
```

**Response**

```json
{
  "id": "300000016189",
  "token": "002.6bjbsaowxvfqam2nw4u3xudppheuh4gsuat3n2w3f6t44euzgy",
  "status": "APPROVED",
  "created": "2024-03-11T20:11:42.487Z",
  "originalAmount": {
    "amount": "37.00",
    "currency": "USD"
  },
  "openToCaptureAmount": {
    "amount": "0.00",
    "currency": "USD"
  },
  "paymentState": "AUTH_APPROVED",
  "merchantReference": "updated-k6-reference-utaddnpx",
  "refunds": [],
  "orderDetails": {
    "consumer": {
      "email": "test@example.com"
    },
    "billing": {
      "name": "Joe Customer",
      "line1": "1004 New Avenue",
      "area1": "Melbourne",
      "region": "VIC",
      "postcode": "94121",
      "countryCode": "AU",
      "phoneNumber": "2120000000",
      "countrycode": "US"
    },
    "courier": {
      "shippedAt": "2024-01-01T08:00:00Z",
      "name": "FedEx",
      "tracking": "000 000 000 000",
      "priority": "STANDARD"
    },
    "items": [
      {
        "name": "Blue Carabiner",
        "quantity": 1,
        "price": {
          "amount": "40.00",
          "currency": "USD"
        },
        "sku": "12341234"
      }
    ],
    "categories": {
      "categories": null,
      "name": "Jeans",
      "price": {
        "amount": "20.00",
        "currency": "USD"
      },
      "quantity": 1,
      "sku": "123412345"
    },
    "shipping": {
      "countrycode": "US",
      "line1": "1004 New Avenue",
      "name": "Joe Customer",
      "phoneNumber": "2120000000",
      "postcode": "94121"
    }
  },
  "events": [
    {
      "id": "2dYbLXpOtEPQbg1DT7x9D8R4oCY",
      "created": "2024-03-11T20:11:43.897Z",
      "type": "CAPTURED",
      "amount": {
        "amount": "37.00",
        "currency": "USD"
      },
      "paymentEventMerchantReference": "k6-gsrdqspusf"
    }
  ],
  "discounts": [],
  "shippingAmount": {
    "amount": "10.00",
    "currency": "USD"
  },
  "taxAmount": {
    "amount": "0.00",
    "currency": "USD"
  }
}
```

**SDK Code**

```python Express checkoout
import requests

url = "https://global-api-sandbox.afterpay.com/v2/payments/auth"

payload = {
    "token": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
    "requestid": "d22f5305-05f3-48a0-9131-a4e6e5f58b9a",
    "merchantReference": "merchant-order-123",
    "amount": {
        "amount": "100.00",
        "currency": "AUD"
    },
    "isCheckoutAdjusted": True,
    "paymentScheduleChecksum": "string",
    "items": [None],
    "shipping": {
        "name": "Joe Consumer",
        "line1": "Level 5",
        "area1": "Melbourne",
        "region": "VIC",
        "postcode": "3000",
        "countryCode": "AU",
        "line2": "390 Collins Street",
        "phoneNumber": "0400 000 000"
    },
    "enrichments": { "initiation": { "actor": "MERCHANT" } }
}
headers = {
    "User-Agent": "User-Agent"
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Express checkoout
const url = 'https://global-api-sandbox.afterpay.com/v2/payments/auth';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    'User-Agent': 'User-Agent',
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"token":"005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2","requestid":"d22f5305-05f3-48a0-9131-a4e6e5f58b9a","merchantReference":"merchant-order-123","amount":{"amount":"100.00","currency":"AUD"},"isCheckoutAdjusted":true,"paymentScheduleChecksum":"string","items":[null],"shipping":{"name":"Joe Consumer","line1":"Level 5","area1":"Melbourne","region":"VIC","postcode":"3000","countryCode":"AU","line2":"390 Collins Street","phoneNumber":"0400 000 000"},"enrichments":{"initiation":{"actor":"MERCHANT"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Express checkoout
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://global-api-sandbox.afterpay.com/v2/payments/auth"

	payload := strings.NewReader("{\n  \"token\": \"005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2\",\n  \"requestid\": \"d22f5305-05f3-48a0-9131-a4e6e5f58b9a\",\n  \"merchantReference\": \"merchant-order-123\",\n  \"amount\": {\n    \"amount\": \"100.00\",\n    \"currency\": \"AUD\"\n  },\n  \"isCheckoutAdjusted\": true,\n  \"paymentScheduleChecksum\": \"string\",\n  \"items\": [\n    null\n  ],\n  \"shipping\": {\n    \"name\": \"Joe Consumer\",\n    \"line1\": \"Level 5\",\n    \"area1\": \"Melbourne\",\n    \"region\": \"VIC\",\n    \"postcode\": \"3000\",\n    \"countryCode\": \"AU\",\n    \"line2\": \"390 Collins Street\",\n    \"phoneNumber\": \"0400 000 000\"\n  },\n  \"enrichments\": {\n    \"initiation\": {\n      \"actor\": \"MERCHANT\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("User-Agent", "User-Agent")
	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Express checkoout
require 'uri'
require 'net/http'

url = URI("https://global-api-sandbox.afterpay.com/v2/payments/auth")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["User-Agent"] = 'User-Agent'
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"token\": \"005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2\",\n  \"requestid\": \"d22f5305-05f3-48a0-9131-a4e6e5f58b9a\",\n  \"merchantReference\": \"merchant-order-123\",\n  \"amount\": {\n    \"amount\": \"100.00\",\n    \"currency\": \"AUD\"\n  },\n  \"isCheckoutAdjusted\": true,\n  \"paymentScheduleChecksum\": \"string\",\n  \"items\": [\n    null\n  ],\n  \"shipping\": {\n    \"name\": \"Joe Consumer\",\n    \"line1\": \"Level 5\",\n    \"area1\": \"Melbourne\",\n    \"region\": \"VIC\",\n    \"postcode\": \"3000\",\n    \"countryCode\": \"AU\",\n    \"line2\": \"390 Collins Street\",\n    \"phoneNumber\": \"0400 000 000\"\n  },\n  \"enrichments\": {\n    \"initiation\": {\n      \"actor\": \"MERCHANT\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Express checkoout
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://global-api-sandbox.afterpay.com/v2/payments/auth")
  .header("User-Agent", "User-Agent")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"token\": \"005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2\",\n  \"requestid\": \"d22f5305-05f3-48a0-9131-a4e6e5f58b9a\",\n  \"merchantReference\": \"merchant-order-123\",\n  \"amount\": {\n    \"amount\": \"100.00\",\n    \"currency\": \"AUD\"\n  },\n  \"isCheckoutAdjusted\": true,\n  \"paymentScheduleChecksum\": \"string\",\n  \"items\": [\n    null\n  ],\n  \"shipping\": {\n    \"name\": \"Joe Consumer\",\n    \"line1\": \"Level 5\",\n    \"area1\": \"Melbourne\",\n    \"region\": \"VIC\",\n    \"postcode\": \"3000\",\n    \"countryCode\": \"AU\",\n    \"line2\": \"390 Collins Street\",\n    \"phoneNumber\": \"0400 000 000\"\n  },\n  \"enrichments\": {\n    \"initiation\": {\n      \"actor\": \"MERCHANT\"\n    }\n  }\n}")
  .asString();
```

```php Express checkoout
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://global-api-sandbox.afterpay.com/v2/payments/auth', [
  'body' => '{
  "token": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
  "requestid": "d22f5305-05f3-48a0-9131-a4e6e5f58b9a",
  "merchantReference": "merchant-order-123",
  "amount": {
    "amount": "100.00",
    "currency": "AUD"
  },
  "isCheckoutAdjusted": true,
  "paymentScheduleChecksum": "string",
  "items": [
    null
  ],
  "shipping": {
    "name": "Joe Consumer",
    "line1": "Level 5",
    "area1": "Melbourne",
    "region": "VIC",
    "postcode": "3000",
    "countryCode": "AU",
    "line2": "390 Collins Street",
    "phoneNumber": "0400 000 000"
  },
  "enrichments": {
    "initiation": {
      "actor": "MERCHANT"
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'User-Agent' => 'User-Agent',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Express checkoout
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://global-api-sandbox.afterpay.com/v2/payments/auth");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);
request.AddHeader("User-Agent", "User-Agent");

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"token\": \"005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2\",\n  \"requestid\": \"d22f5305-05f3-48a0-9131-a4e6e5f58b9a\",\n  \"merchantReference\": \"merchant-order-123\",\n  \"amount\": {\n    \"amount\": \"100.00\",\n    \"currency\": \"AUD\"\n  },\n  \"isCheckoutAdjusted\": true,\n  \"paymentScheduleChecksum\": \"string\",\n  \"items\": [\n    null\n  ],\n  \"shipping\": {\n    \"name\": \"Joe Consumer\",\n    \"line1\": \"Level 5\",\n    \"area1\": \"Melbourne\",\n    \"region\": \"VIC\",\n    \"postcode\": \"3000\",\n    \"countryCode\": \"AU\",\n    \"line2\": \"390 Collins Street\",\n    \"phoneNumber\": \"0400 000 000\"\n  },\n  \"enrichments\": {\n    \"initiation\": {\n      \"actor\": \"MERCHANT\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Express checkoout
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "User-Agent": "User-Agent",
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "token": "005.2fkv5o963b132z8ppa34srlh60987y87d55re237wsg9tr4q2",
  "requestid": "d22f5305-05f3-48a0-9131-a4e6e5f58b9a",
  "merchantReference": "merchant-order-123",
  "amount": [
    "amount": "100.00",
    "currency": "AUD"
  ],
  "isCheckoutAdjusted": true,
  "paymentScheduleChecksum": "string",
  "items": [],
  "shipping": [
    "name": "Joe Consumer",
    "line1": "Level 5",
    "area1": "Melbourne",
    "region": "VIC",
    "postcode": "3000",
    "countryCode": "AU",
    "line2": "390 Collins Street",
    "phoneNumber": "0400 000 000"
  ],
  "enrichments": ["initiation": ["actor": "MERCHANT"]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://global-api-sandbox.afterpay.com/v2/payments/auth")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```